tag: {
  pkgs 
, lib
, buildPythonPackage 
, migen
, setuptools
, litex
, pyyaml
}: buildPythonPackage {
  pname = "liteeth";
  version = "${tag}";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "liteeth";
    rev = "${tag}";
    hash = "sha256-DUNwDzcFLVmL5F/ZWmok7T7jO7ixC9IuDr1WUarnAqk=";
  };

  buildInputs = [
    litex
  ];

  propagatedBuildInputs = [
    migen
  ];

  nativeCheckInputs = [
    pyyaml
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
